# ARXWizardDialog (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Class ARXWizardDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.TrayDialog
      - - org.eclipse.jface.dialogs.TitleAreaDialog
        - - org.eclipse.jface.wizard.WizardDialog
          - - org.deidentifier.arx.gui.view.impl.wizard.ARXWizardDialog

- All Implemented Interfaces:
    org.eclipse.jface.dialogs.IPageChangeProvider, org.eclipse.jface.operation.IRunnableContext, org.eclipse.jface.window.IShellProvider, org.eclipse.jface.wizard.IWizardContainer, org.eclipse.jface.wizard.IWizardContainer2

      public class ARXWizardDialog
      extends org.eclipse.jface.wizard.WizardDialog

  A custom implementation of the default SWT WizardDialog that is more compact and allows adding additional buttons.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `ARXWizardDialog.ARXWizardButton` A specification for a button to add to the wizard.

    - ### Nested classes/interfaces inherited from class org.eclipse.jface.wizard.WizardDialog

      `org.eclipse.jface.wizard.WizardDialog.PageContainerFillLayout`

    - ### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

      `org.eclipse.jface.window.Window.IExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jface.wizard.WizardDialog

      `WIZ_IMG_ERROR`

    - ### Fields inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

      `DLG_IMG_TITLE_BANNER, DLG_IMG_TITLE_ERROR, INFO_MESSAGE, WARNING_MESSAGE`

    - ### Fields inherited from class org.eclipse.jface.dialogs.Dialog

      `blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

    - ### Fields inherited from class org.eclipse.jface.window.Window

      `CANCEL, OK`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ARXWizardDialog(org.eclipse.swt.widgets.Shell parentShell, org.eclipse.jface.wizard.IWizard newWizard)` Creates a new instance.
    `protected` | `ARXWizardDialog(org.eclipse.swt.widgets.Shell parentShell, org.eclipse.jface.wizard.IWizard newWizard, java.util.List<ARXWizardDialog.ARXWizardButton> buttons)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createButtonsForButtonBar(org.eclipse.swt.widgets.Composite parent)`
    `protected org.eclipse.swt.widgets.Control` | `createDialogArea(org.eclipse.swt.widgets.Composite parent)`
    `protected org.eclipse.swt.widgets.Button` | `getButton(ARXWizardDialog.ARXWizardButton button)` Returns the button created for the given specification.
    `protected org.eclipse.core.runtime.IProgressMonitor` | `getProgressMonitor()`

    - ### Methods inherited from class org.eclipse.jface.wizard.WizardDialog

      `addPageChangedListener, addPageChangingListener, backPressed, buttonPressed, cancelPressed, close, configureShell, createContents, createProgressMonitorPart, finishPressed, firePageChanged, firePageChanging, getButton, getCurrentPage, getSelectedPage, getWizard, helpPressed, nextPressed, removePageChangedListener, removePageChangingListener, run, setButtonLayoutData, setMinimumPageSize, setMinimumPageSize, setPageSize, setPageSize, setWizard, showPage, update, updateButtons, updateMessage, updateSize, updateSize, updateTitleBar, updateWindowTitle`

    - ### Methods inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

      `getErrorMessage, getInitialSize, getMessage, getTitleArea, getTitleImageLabel, setErrorMessage, setMessage, setMessage, setTitle, setTitleAreaColor, setTitleImage`

    - ### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

      `closeTray, createButtonBar, createHelpControl, getLayout, getTray, handleShellCloseEvent, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

    - ### Methods inherited from class org.eclipse.jface.dialogs.Dialog

      `applyDialogFont, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, dialogFontIsDefault, getBlockedHandler, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getOKButton, initializeBounds, initializeDialogUnits, isResizable, okPressed, setBlockedHandler, setButtonLayoutFormData, shortenText`

    - ### Methods inherited from class org.eclipse.jface.window.Window

      `canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.wizard.IWizardContainer

      `getShell`

- - ### Constructor Detail

    - #### ARXWizardDialog

          protected ARXWizardDialog(org.eclipse.swt.widgets.Shell parentShell,
                         org.eclipse.jface.wizard.IWizard newWizard)

      Creates a new instance.
      Parameters:
        `parentShell` -
        `newWizard` -

    - #### ARXWizardDialog

          protected ARXWizardDialog(org.eclipse.swt.widgets.Shell parentShell,
                         org.eclipse.jface.wizard.IWizard newWizard,
                         java.util.List<ARXWizardDialog.ARXWizardButton> buttons)

      Creates a new instance.
      Parameters:
        `parentShell` -
        `newWizard` -
        `buttons` -

  - ### Method Detail

    - #### createButtonsForButtonBar

          protected void createButtonsForButtonBar(org.eclipse.swt.widgets.Composite parent)

      Overrides:
        `createButtonsForButtonBar` in class `org.eclipse.jface.wizard.WizardDialog`

    - #### createDialogArea

          protected org.eclipse.swt.widgets.Control createDialogArea(org.eclipse.swt.widgets.Composite parent)

      Overrides:
        `createDialogArea` in class `org.eclipse.jface.wizard.WizardDialog`

    - #### getButton

          protected org.eclipse.swt.widgets.Button getButton(ARXWizardDialog.ARXWizardButton button)

      Returns the button created for the given specification.
      Parameters:
        `button` -
      Returns:

    - #### getProgressMonitor

          protected org.eclipse.core.runtime.IProgressMonitor getProgressMonitor()

      Overrides:
        `getProgressMonitor` in class `org.eclipse.jface.wizard.WizardDialog`